# Zapier

Flip.to can easily integrate with your CRM and email platforms through Zapier, allowing you to automatically add Flip.to Advocacy leads & Discovery plans into your own marketing funnels, as well as ensure any opt-outs are respected across your entire system.

{% hint style="warning" %}
**Before you begin:**

* You'll need a Zapier account. Create one at <https://zapier.com/>.
* Next, reach out to our [Customer Success Team](/docs/support/customer-success.md) for your Zapier API key.
* Then add the [Flip.to Zapier app](https://zapier.com/developer/public-invite/146723/0ca15bbfc79019a5b229020107d60055/) to your account and finalize your setup.
  {% endhint %}

***

## Data Attributes

### Advocacy Leads

<table><thead><tr><th width="228">Attribute</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>An internal id identifying a specific warm lead.<br><br>This ensures Zapier will eliminate any duplicates from entering your system, and does not need to be used.</td></tr><tr><td>first</td><td>First name.</td></tr><tr><td>last</td><td>Last name.</td></tr><tr><td>email</td><td>Email address.</td></tr><tr><td>is_incentive_requested</td><td>Indicates whether the Advocacy lead has requested an incentive when they signed up.</td></tr><tr><td>is_privacy_restricted</td><td>Values are either true or false. True indicates that the Advocacy lead falls under privacy regulations (such as GDPR), and should not be used for marketing, unless having first explicitly opted in.</td></tr><tr><td>create_date</td><td>The date and time the warm lead has signed up on the Flip.to platform.<br><br>Time is defined as GMT.</td></tr><tr><td>property_name</td><td>The property’s name on Flip.to.</td></tr><tr><td>property_slug</td><td>A simplified and standardized slug representing the property on the Flip.to platform.<br><br>Slugs are excellent for distinguishing between properties when the value must be sent in a URL, as they don’t contain special characters, spaces or anything that would be encoded.</td></tr></tbody></table>

### Discovery Plans

<table><thead><tr><th width="230">Attribute</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>An internal id identifying a specific plan.<br><br>This ensures Zapier will eliminate any duplicates from entering your system, and does not need to be used.</td></tr><tr><td>first</td><td>First name.</td></tr><tr><td>email</td><td>Email address.</td></tr><tr><td>adults</td><td>If specified, number of adults included in the plan.</td></tr><tr><td>children</td><td>If specified, number of children included in the plan.</td></tr><tr><td>beds</td><td>If specified, number of beds included in the plan.</td></tr><tr><td>rooms</td><td>If specified, number of rooms included in the plan.</td></tr><tr><td>arrival</td><td>Date the guest intends to arrive.</td></tr><tr><td>departure</td><td>Date the guest intends to depart.</td></tr><tr><td>is_guest</td><td>Indicate whether plan has been booked. Values are either true or false.</td></tr><tr><td>is_privacy_restricted</td><td>Values are either true or false. True indicates that the planner falls under privacy regulations (such as GDPR), and should not be used for marketing, unless having first explicitly opted in.</td></tr><tr><td>create_date</td><td>The date and time the plan was created in Discovery.<br><br>Time is defined as GMT.</td></tr><tr><td>property_name</td><td>The property’s name on Flip.to.</td></tr><tr><td>property_slug</td><td>A simplified and standardized slug representing the property on the Flip.to platform.<br><br>Slugs are excellent for distinguishing between properties when the value must be sent in a URL, as they don’t contain special characters, spaces or anything that would be encoded.</td></tr></tbody></table>

### Email Opt-out

<table><thead><tr><th width="230">Name</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>An internal id identifying a specific opt-out.<br><br>This ensures Zapier will eliminate any duplicates from entering your system, and does not need to be used.</td></tr><tr><td>email</td><td>Email address that was opted out.</td></tr><tr><td>create_date</td><td>The date and time the user opted out on the Flip.to platform.<br><br>Time is defined as GMT.</td></tr><tr><td>property_name</td><td>The property’s name on Flip.to.</td></tr><tr><td>property_slug</td><td>A simplified and standardized slug representing the property on the Flip.to platform.<br><br>Slugs are excellent for distinguishing between properties when the value must be sent in a URL, as they don’t contain special characters, spaces or anything that would be encoded.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flip.to/docs/integrations/crms/zapier.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
